/**
 * The sample package houses examples of using the various components of Ontobuilder
 */
package Sample;

import schemamatchings.ontobuilder.MatchMatrix;
import schemamatchings.ontobuilder.MatchingAlgorithms;
import schemamatchings.ontobuilder.OntoBuilderWrapper;
import com.modica.ontology.Ontology;
import com.modica.ontology.match.MatchInformation;

/**
 * Performs matching of 2 ontologies using TERM, outputs the result as atext file: matchMatrix.txt
 * @author Tomer Sagi
 *
 */
public class MatchTest {

	
	public static void main(String[] args) throws Exception
	{
		OntoBuilderWrapper obw = new OntoBuilderWrapper();
		String folder = "D:\\Ontology_Pairs_and_Exact_Mappings\\Ontology Pairs and Exact Mappings\\1-time.xml_2-surfer.xml_EXACT";
		Ontology o1 = obw.readOntologyXMLFile(folder+"\\"+"1-time.xml",true);
		Ontology o2 = obw.readOntologyXMLFile(folder+"\\"+"2-surfer.xml",true);
		MatchInformation mi = obw.matchOntologies(o1,o2,MatchingAlgorithms.TERM);
		MatchMatrix mm = mi.getMatrix();
		mm.printMatchMatrix();
		
	}
}
